import { backendURL } from "../requests/reducers";

const uploadFile = file => {
  const fd = new FormData();
  fd.append('photo', file);
  return fetch((backendURL+'/upload'), {
        method: 'POST',
        headers: localStorage.authToken ? { "Authorization": "Bearer " + localStorage.authToken } : {},
        body: fd
        }).then(res => res.json())
};
 
export { uploadFile};