// import { useEffect, useState } from 'react';
import { connect } from 'react-redux';
// import CAdCards from '../AdCard/AdCard';
import { actionAllAds } from '../../requests/actions';
import { store } from "../../requests/reducers";
const defaultAds=[ 
      {
        "_id": "5dc9c9a879064d79bb6ba069",
        "title": "iphone",
        "comments": [
          {
            "text": "Comment"
          },
          {
            "text": "Какой-то текст"
          }
        ],
        "images": null
      },
      {
        "_id": "5dc9dbc879064d79bb6ba06a",
        "title": "dasd",
        "comments": [
          {
            "text": "Мой первый комментарий"
          }
        ],
        "images": null
      },

      {
        "_id": "5dc9e5cfef38433c6c85e7c2",
        "title": "New phone",
        "comments": null,
        "images": null
      },
      {
        "_id": "5dcaaf0cef38433c6c85e7c5",
        "title": "ASD",
        "comments": null,
        "images": null
      },
      {
        "_id": "5dcab049ef38433c6c85e7c7",
        "title": "Awesome new phone",
        "comments": null,
        "images": null
      },
      {
        "_id": "5dcab950ef38433c6c85e7cc",
        "title": "dasdsa",
        "comments": null,
        "images": null
      },
      {
        "_id": "5f9dbe4d73753d12d794221b",
        "title": "New AD999",
        "comments": null,
        "images": [
          {
            "_id": "5fc8f03873753d12d794227e",
            "url": "images/56220f3577dc9dd53cbdb7e7a82067b3"
          }
        ]
      },
      {
        "_id": "615349eee5a2263e42514221",
        "title": "test",
        "comments": null,
        "images": null
      },

    
      {
        "_id": "5dcabc50ef38433c6c85e7d8",
        "title": "",
        "comments": null,
        "images": [
          {
            "_id": "5dcabc50ef38433c6c85e7d7",
            "url": null
          }
        ]
      },
      {
        "_id": "5dcabc6eef38433c6c85e7da",
        "title": "",
        "comments": null,
        "images": [
          {
            "_id": "5dcabc6eef38433c6c85e7d9",
            "url": null
          }
        ]
      },
      {
        "_id": "5dcac1ccef38433c6c85e7de",
        "title": "dsada",
        "comments": null,
        "images": [
          {
            "_id": "5dcac1ccef38433c6c85e7dd",
            "url": null
          }
        ]
      },
      {
        "_id": "5dcac215ef38433c6c85e7e1",
        "title": "dsad",
        "comments": null,
        "images": [
          {
            "_id": "5dcac215ef38433c6c85e7e0",
            "url": null
          }
        ]
      },
           {
        "_id": "5dcae383ef38433c6c85e7e7",
        "title": "dsadasd",
        "comments": null,
        "images": [
          {
            "_id": "5dcae381ef38433c6c85e7e6",
            "url": "images/c45eb7c1921ac2e114d27e26619a4974"
          }
        ]
      }]
const AdCard = ({ ad: { _id, title } = {}}) => 
  <li key={_id} className='AdCard'>
    {title}
    </li>
const AllAds = ({ ads = defaultAds }) => {
 
    return (<ul className='AllAdsList'>
        {ads.map(item => <AdCard ad={item} />)}
    </ul>)
}

const CAllAds = connect(state => ({ ads: state.promise.allAds?.payload || [] }),
  { onLoad:store.dispatch(actionAllAds()) })(AllAds);

export default CAllAds;