import { useState } from 'react';
import { Button, DialogTitle, DialogContent, TextField, DialogActions } from '@mui/material';
import { actionLogin } from '../../../requests/actions';
import {connect } from 'react-redux';

const LoginForm = ({ handleOpen, onLogin }) => { 
  
  const [login, setLogin] = useState('');
  const [password, setPassword] = useState('');

   return <> 
                 <div>     <DialogTitle id="registration">LOG IN</DialogTitle>
                            <DialogContent>
                                <TextField autoFocus margin='dense'
                                    id='login'
                                    label='Login'
          type='text'
          value={login}
          onChange={e => setLogin(e.target.value) }
                                    fullWidth>
                                </TextField>
                                <TextField margin='dense'
                                    id='pass'
                                    label='Password'
          type='password'
          value={password}
          onChange={e => setPassword(e.target.value) }
                                    fullWidth>
                                </TextField>
                                
                            </DialogContent>
      <DialogActions sx={{ display: "block" }}>
     
        <Button onClick={() => onLogin(login, password)}>  Log in </Button>
       <div> Don't you have an account?
        <Button onClick={handleOpen}>Sign up</Button></div>      
          </DialogActions>
          </div>
           </>
}
const CLoginForm = connect(null, { onLogin: actionLogin })(LoginForm)
export default CLoginForm;