import { useState } from 'react';
import { Button, DialogTitle, DialogContent, TextField, DialogActions } from '@mui/material';

const SignUpForm = ({handleOpen }) => { 
  const [login, setLogin] = useState('');
  const [password, setPassword] = useState('');
    const [passwordConf, setPasswordConf] = useState('');
  const handleUserInput = (inputValue, inputType) => {
    (inputType === 'login') && setLogin(inputValue);
    (inputType === 'password') && setPassword(inputValue);
    (inputType === 'passwordConf') && setPasswordConf(inputValue);
  };
  
  return <>
            <div>     <DialogTitle id="registration">SIGN UP</DialogTitle>
                            <DialogContent sx={{ width:"446px" }}>
                                <TextField autoFocus margin='dense'
                                    id='login'
                                    label='Login'
          type='text'
          value={login}
          onChange={e => { handleUserInput(setLogin(e.target.value, 'login')) }}
                                    fullWidth>
                                </TextField>
                                <TextField margin='dense'
                                    id='pass'
                                    label='Password'
          type='password'
          value={password}
          onChange={e => { handleUserInput(setPassword(e.target.value, 'password')) }}
                                    fullWidth>
        </TextField>
        
          <TextField margin='dense'
                                    id='passConf'
                                    label='Confirm Password'
          type='password'
          value={passwordConf}
          onChange={e => { handleUserInput(setPassword(e.target.value, 'passwordConf')) }}
                                    fullWidth>
                                </TextField>                                
                            </DialogContent>
      <DialogActions sx={{ display: "block"}}>    
          <Button onClick={handleOpen}>Sign Up</Button>
          {/* <Button onClick={(e) => { onLogin(login, password) }}>Sign up</Button> */}
          <div>Already have an account? <Button onClick={handleOpen}>Log in</Button></div>
     
          </DialogActions>
          </div>
               </>
}
export default SignUpForm;